Name:       ibus-table-xinhua
Version:    1.2.0.20090720
Release:    2%{?dist}
Summary:    Xin Hua input methods for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2
Requires(post):   ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2

%description
The package contains Xin Hua input methods for Table engine of IBus platform. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix}
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n xinhua-ibus.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/ibus-table/tables/xinhua-ibus.db
%{_datadir}/ibus-table/icons/xinhua.png

%changelog
* Wed Jul 22 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.2.0.20090720-2.fc12
- Removed BuildRequires of gettext-devel and automake.
- Removed unneccessary owned directories.
- Changed autogen.sh to configure.

* Mon Jul 20 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.2.0.20090720-1.fc12
- Introduce from upstream.
